import { TextDocument } from 'vscode-languageserver';
import { StylableMeta, FileProcessor, Stylable } from 'stylable';
import Provider from './provider';
import { FileSystemReadSync } from 'kissfs';
export { Completion } from './completion-types';
export { ProviderRange, ProviderPosition } from './completion-providers';
export { createDiagnosis } from './diagnosis';
export declare function createProvider(stylable: Stylable, withFilePrefix?: boolean): Provider;
export declare function createFs(fileSystem: FileSystemReadSync, withFilePrefix?: boolean): any;
export declare function createProcessor(fileSystem: FileSystemReadSync, withFilePrefix?: boolean): FileProcessor<StylableMeta>;
export interface MinimalDocs extends Partial<FileSystemReadSync> {
    get: (uri: string) => TextDocument;
    keys: () => string[];
}
